Skip to content

Get Smart List by Smart Campaign Id

GET /rest/asset/v1/smartCampaign/{id}/smartList.json

Permissions Read-Asset or Read-Write Asset

Build a request and mock the response

Method: GET
Path: /rest/asset/v1/smartCampaign/{id}/smartList.json
Tag: Smart Campaigns
Operation ID: getSmartListBySmartCampaignIdUsingGET

Retrieves a Smart List record by its Smart Campaign id. Required Permissions: Read-Asset or Read-Write Asset

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int64) Yes Id for the smart campaign containing smart list to retrieve

Query parameters

Name Type Required Description Constraints
includeRules boolean No Set true to populate smart list rules. Default false

Example request

GET {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/smartList.json?includeRules={{includeRules}}
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfSmartListResponseWithRules

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "workspace": "string",
      "rules": {
        "filterMatchType": "All",
        "triggers": [
          "string"
        ],
        "filters": [
          {
            "id": 123,
            "name": "Example name",
            "ruleTypeId": 123,
            "ruleType": "string",
            "operator": "string",
            "conditions": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.